# Table::update

(No version information available, might only be in Git)

Table::update — Update rows in table

### Description

public mysql_xdevapi\Table::update ( void ) : mysql_xdevapi\TableUpdate

Updates columns in a table.

### Parameters

This function has no parameters.

### Return Values

A TableUpdate object; use the execute() method to execute the update statement.

### Examples

Example #1 mysql_xdevapi\Table::update() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
$session->sql("CREATE DATABASE addressbook")->execute();
$session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();
$session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();
$schema = $session->getSchema("addressbook");
$table = $schema->getTable("names");
$table->update()->set('age',34)->where('name = "Sam"')->limit(1)->execute();
?>`